package com.bonus.canteen.core.nutrition.common.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@TableName("health_cust_medical_report")
@ApiModel("人员体检报告表")
public class HealthCustMedicalReport implements Serializable {
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("体检id")
   private Long medicalId;
   @ApiModelProperty("人员id")
   private Long userId;
   @ApiModelProperty("体检日期")
   private LocalDate medicalDate;
   @ApiModelProperty("体检机构")
   private String medicalMechanism;
   @ApiModelProperty("体检模板id")
   private Long medicalTemplateId;
   @ApiModelProperty("创建人")
   private String createBy;
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @ApiModelProperty("更新人")
   private String updateBy;
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;

   public Long getId() {
      return this.id;
   }

   public Long getMedicalId() {
      return this.medicalId;
   }

   public Long getUserId() {
      return this.userId;
   }

   public LocalDate getMedicalDate() {
      return this.medicalDate;
   }

   public String getMedicalMechanism() {
      return this.medicalMechanism;
   }

   public Long getMedicalTemplateId() {
      return this.medicalTemplateId;
   }

   public String getCreateBy() {
      return this.createBy;
   }

   public LocalDateTime getCreateTime() {
      return this.createTime;
   }

   public String getUpdateBy() {
      return this.updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return this.updateTime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setMedicalId(final Long medicalId) {
      this.medicalId = medicalId;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setMedicalDate(final LocalDate medicalDate) {
      this.medicalDate = medicalDate;
   }

   public void setMedicalMechanism(final String medicalMechanism) {
      this.medicalMechanism = medicalMechanism;
   }

   public void setMedicalTemplateId(final Long medicalTemplateId) {
      this.medicalTemplateId = medicalTemplateId;
   }

   public void setCreateBy(final String createBy) {
      this.createBy = createBy;
   }

   public void setCreateTime(final LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public void setUpdateBy(final String updateBy) {
      this.updateBy = updateBy;
   }

   public void setUpdateTime(final LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }

}
